@import '../../styles/mixins.scss';
@import '../../styles/variables.scss';

.card {
  max-width: 100%;
  min-height: 300px;
  margin-bottom: 25px;
  padding: 15px 15px;
  background-color: $bg-white;
  display: flex;
  justify-content: space-between;

  @media (max-width: $small) {
    flex-direction: column;
    align-items: center;
  }

  &__image {
    max-width: 40%;
    height: 270px;

    @media (max-width: $small) {
      max-width: 100%;
    }
  }

  &__image-prev {
    max-width: 100%;
    max-height: 100%;
  }

  &__desc {
    @include main-font-18-normal($text-black);
    font-weight: 500;
    padding: 0 30px;
    width: 60%;
    line-height: 26px;

    @media (max-width: $small) {
      margin-top: 10px;
      width: 100%;
    }

    @media (max-width: $small) {
      padding: 0;
    }
  }

  &__location-price {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  &__desc-square {
    @include main-font-16-normal($text-extra-grey);
    line-height: 23px;
    margin-top: 7px;
  }

  &__desc-text {
    @include main-font-14-normal($text-black);
    line-height: 21px;
    align-items: center;
    margin-top: 10px;
  }
  &__link {
    @include main-font-14-normal($blue);
    line-height: 21px;
    cursor: pointer;
    margin-top: 15px;
    transition: 0.3s;

    &:hover {
      opacity: 0.5;
    }
  }
}
